> For the complete documentation index, see [llms.txt](https://docs.orakl.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orakl.network/node-operators-guide/cli/delegator.md).

# Delegator

### Insert new organization

```sh
yarn cli delegator organizationInsert \
    --name ${orgName}
```

* example

```sh
yarn cli delegator organizationInsert --name bisonai
```

### List organizations

```sh
yarn cli delegator organizationList
```

### Insert new reporter

```sh
yarn cli delegator reporterInsert \
      --address ${address} \
      --organizationId ${organizationId}
```

* example

```sh
yarn cli delegator reporterInsert --address 0xab --organizationId 10
```

### List reporters

```sh
yarn cli delegator reporterList
```

### Insert new contract

```sh
yarn cli delegator contractInsert \
      --address ${address}
```

* example

```sh
yarn cli delegator contractInsert --address 0x23
```

### List contracts

```sh
yarn cli delegator contractList
```

### Insert new function

```sh
yarn cli delegator functionInsert \
      --name ${functionSignature} \
      --contractId ${contractId}
```

* example

```sh
yarn cli delegator functionInsert --name "submit(int256,uint256)" --contractId 15
```

### List functions

```sh
yarn cli delegator functionList
```

### Connect contract with reporter

```sh
yarn cli delegator contractConnect \
      --contractId 1 \
      --reporterId 1
```

### List reporters

```
yarn cli delegator reporterList
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orakl.network/node-operators-guide/cli/delegator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
